Re: [textadept] Unable to start TextAdept version 3.5 in Ubuntu

From: mitchell <c....at.caladbolg.net>
Date: Thu, 2 Dec 2010 12:58:48 -0500 (Eastern Standard Time)

Ryan,

> On Ubuntu Maverick (10.10) amd64 TextAdept version 3.5 wont start. It gives me this error message.
>
> $ textadept
> textadept: error while loading shared libraries: libpng14.so.14: cannot open shared object file: No
> such file or directory

It appears Ubuntu hasn't updated to libpng14 yet. A quick hack would be to
either symlink /usr/lib/libpng12.so to /usr/lib/libpng14.so.14 as root or
copy /usr/lib/libpng12.so to your ta directory as libpng14.so.14.
Otherwise I recommend compiling ta for your machine (quite easy actually
as long as you have the one gtk dev package installed).

From the small amount of research I've done, it appears most distros have
already switched from libpng12 to libpng14. I don't know why Ubuntu 10.10
hasn't followed suit.

mitchell

>
> Is this expected? Thoughts?
> --
> Regards,
> Ryan
>
> --
> You received this message because you are subscribed to the Google Groups "textadept" group.
> To post to this group, send email to textadept.at.googlegroups.com.
> To unsubscribe from this group, send email to textadept+unsubscribe.at.googlegroups.com.
> For more options, visit this group at http://groups.google.com/group/textadept?hl=en.
>
>

mitchell
Received on Thu 02 Dec 2010 - 12:58:48 EST

This archive was generated by hypermail 2.2.0 : Thu 08 Mar 2012 - 11:54:50 EST